<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaOrderItems extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_order_items', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->double('amount', 10, 0);
            $table->integer('product_id');
            $table->text('note');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_order_items');
    }
}
